Subject: [VIPR] Overview: QoS/Troubleshooting - Concerns

From: Daryl Malas <[email-masked]>
Date: Wed, 4 May 2011 10:23:35 -0600

I have some concerns about the QoS & Troubleshooting sections of the overview draft.  While it may be true that there are a large number of existing VoIP deployments that run over the internet, the type of traffic and user profile is undetermined.  For example, while I may have a desire to make a Google voice phone call to a family member, that same desire is not there for a conference call with a potential client with a $1M contract on the line.  It could be though!  The statement, "Though the lack of QoS is a concern, it has not proven a barrier to deployment," is highly subjective in its current form.  I would prefer this document to suggest existing defined methods for tracking QoS and troubleshooting potential problems, so an enterprise could potentially adjust layers 1 – 4 connectivity/routes to alleviate these potential problems.  Here are some suggested RFCs to reference in section 2.3/2.4:

Media related troubleshooting and QoS monitoring:
RFC 3550 (RTCP)
RFC 3611 (RTCP-XR)

Signaling related troubleshooting and QoS monitoring:
RFC 6076 (Basic Telephony SIP End-to-End Performance Metrics)

Instead of the above quoted sentence, I would suggest a sentence more along the lines of, "The lack of QoS is a concern; however, some methods for monitoring the signaling and media have been defined to assist in monitoring and troubleshooting VoIP deployments that run over the internet." …and, then proceed to briefly reference the above RFCs (or others if applicable).

Regards,

Daryl